/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;

/**
 * 
 * @author Valdevir Pinheiro
 */
public class RenderUsuarioDispositivoSelecionados implements ListitemRenderer {

	private EventListener listenerGenerico;

	public RenderUsuarioDispositivoSelecionados(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	public void render(Listitem lstm, Object o) throws Exception {


		UsuarioEmbarcadaVO usuario = (UsuarioEmbarcadaVO) o;

        Listcell lc = new Listcell(usuario.getCveusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario == null ? "" : usuario.getCveusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getNome());
        lc.setParent(lstm);

        lc = new Listcell();
		Button btnRemoverUsuario = new Button();
		btnRemoverUsuario.setAttribute("data", o);
		btnRemoverUsuario.addEventListener("onClick",listenerGenerico);
		btnRemoverUsuario.setImage("/gui/img/remove.png");
		lc.appendChild(btnRemoverUsuario);
		
		lc.setParent(lstm);
		

		lstm.setAttribute("data", usuario);
	}
}
